import java.io.*;
import java.util.*;

/**
 * Created by IntelliJ IDEA.
 * User: m09aya
 * Date: 07.10.2009
 * Time: 17:19:23
 * To change this template use File | Settings | File Templates.
 */
public class P {
    public static void main (String[]args) throws Exception {
                   Scanner s = new Scanner (new File ("sort.in"));
                   PrintWriter p = new PrintWriter (new File ("sort.out"));
              int n = s.nextInt();
              int[] vasya = new int[n];
           for (int i=0; i<n; i++) {vasya[i] = s.nextInt();
            }
            for (int i=0; i<n; i++) {
                 for (int j=0; j<n-1; j++) {
                      if (vasya[j]>vasya[j+1]) {int m = vasya[j]; vasya[j]=vasya[j+1]; vasya[j+1]=m;}
                   }
           }

           for (int i=0; i<n; i++) {p.print(vasya[i]+" ") ;
            }

        s.close();
        p.close();
    }
}